Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.util.cache
Class ComponentCacheWrapper<K,V>

    java.lang.Object
      org.jivesoftware.util.cache.CacheWrapper<K,V>
          org.jivesoftware.util.cache.ComponentCacheWrapper<K,V>

All Implemented Interfaces:
  Map<K,V>, Cache<K,V>

    public class ComponentCacheWrapper<K,V>

extends CacheWrapper<K,V>

This specialized wrapper is used for the Components cache, which should not be purged. See OF-114 for more info.

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Constructor Summary
`ComponentCacheWrapper(Cache<K,V> cache)`

Method Summary
`void` | `clear()`

Methods inherited from class org.jivesoftware.util.cache.CacheWrapper
`containsKey, containsValue, entrySet, get, getCacheHits, getCacheMisses, getCacheSize, getMaxCacheSize, getMaxLifetime, getName, getWrappedCache, isEmpty, keySet, put, putAll, remove, setMaxCacheSize, setMaxLifetime, setName, setWrappedCache, size, values`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### ComponentCacheWrapper

    public ComponentCacheWrapper(Cache<K,V> cache)

Method Detail

### clear

    public void clear()

  Specified by:
    `clear` in interface `Map<K,V>`
  Overrides:
    `clear` in class `CacheWrapper<K,V>`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.